Subject: HELP: Python/Tkinter/Cygwin
From: "Mike Campbell" <[email-masked]>
To: <[email-masked]>
Date: Thu, 26 Apr 2001 13:00:13 -0500

I'm trying to get the Pysol package to run under Cygwin (v1.3.1) and it seems to choking when Python tries to load the Tkinter package.

I get the following errors:

/d/pysol-4.71> ./pysol
Traceback (most recent call last):
  File "pysol.py", line 118, in ?
  File "/usr/lib/python2.1/lib-tk/Tkinter.py", line 35, in ?
    import _tkinter # If this fails your Python may not be configured for Tk
ImportError: No module named _tkinter

PySol cannot find the Tkinter Python libraries.
Please check your Python installation.

I can see that the tkinter files are loaded if I look in /usr/lib/python2.1/lib-tk however I believe that the problem is that there is no tkinter.dll file in /usr/lib/python2.1/lib-dynload and thus the import statement fails.

Anyone got tkinter to work (or better yet pysol) under cygnus?

==================================
Mike Campbell
Oracle Technical Support
[email-masked]

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple